context = h_init()
context.set_state('ProjectSummary', 'observatory', 'Karl G. Jansky Very Large Array')
context.set_state('ProjectSummary', 'telescope', 'EVLA')
context.set_state('ProjectStructure', 'recipe_name', 'hifv_calimage_cont_cube_selfcal')
try:
    hifv_importdata(vis=['15B-229.sb31482159.eb31503322.57370.311231643514'], session=['default'])
    hifv_hanning()
    hifv_flagdata(intents='*POINTING*,*FOCUS*,*ATMOSPHERE*,*SIDEBAND_RATIO*, *UNKNOWN*, *SYSTEM_CONFIGURATION*, *UNSPECIFIED#UNSPECIFIED*', fracspw=0.01, hm_tbuff='1.5int')
    hifv_vlasetjy()
    hifv_priorcals()
    hifv_syspower()
    hifv_testBPdcals()
    hifv_checkflag(checkflagmode='bpd-vla')
    hifv_semiFinalBPdcals()
    hifv_checkflag(checkflagmode='allcals-vla')
    hifv_solint()
    hifv_fluxboot()
    hifv_finalcals()
    hifv_applycals()
    hifv_checkflag(checkflagmode='target-vla')
    hifv_statwt()
    hifv_plotsummary()
    hif_makeimlist(intent='PHASE,BANDPASS', specmode='cont')
    hif_makeimages(hm_masking='centralregion')
    hifv_exportdata()
    hifv_mstransform()
    hif_checkproductsize(maximsize=16384)
    hif_makeimlist(specmode='cont')
    hif_makeimages(hm_cyclefactor=3.0)
    hif_checkproductsize(maxcubesize=20.0, maxcubelimit=40.0, maxproductsize=100.0)
    hif_makeimlist(specmode='mfs')
    hif_findcont()
    hif_uvcontsub()
    hif_makeimlist(specmode='cube')
    hif_makeimages(hm_cyclefactor=3.0)
    hif_checkproductsize(maximsize=16384)
    hif_selfcal()
    hif_makeimlist(specmode='cont', datatype='selfcal')
    hif_makeimages(hm_cyclefactor=3.0)
    hif_checkproductsize(maxcubesize=20.0, maxcubelimit=40.0, maxproductsize=100.0)
    hif_makeimlist(specmode='cube', datatype='selfcal')
    hif_makeimages(hm_cyclefactor=3.0)
    hifv_pbcor()
    hifv_exportdata()
    hifv_exportdata()
finally:
    h_save()
